> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace

> Create a new workspace under your tenant.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json post /v1/workspaces
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/workspaces:
    post:
      tags:
        - Workspaces
      summary: Create Workspace
      description: Create a new workspace under your tenant.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 200
                  example: Main Practice
                business_category:
                  type: string
                  enum:
                    - DENTAL_GENERAL
                    - DENTAL_PEDIATRIC
                    - DENTAL_ORTHODONTICS
                    - DENTAL_COSMETIC
                    - BEHAVIORAL_HEALTH
                    - THERAPY_COUNSELING
                    - PSYCHIATRY
                    - MASSAGE_THERAPY
                    - CHIROPRACTIC
                    - PHYSICAL_THERAPY
                    - ACUPUNCTURE
                    - PILATES
                    - YOGA
                    - PERSONAL_TRAINING
                    - FITNESS_STUDIO
                    - WELLNESS_SPA
                    - MED_SPA
                    - NUTRITION
                    - HOLISTIC_HEALTH
                    - PRIMARY_CARE
                    - DERMATOLOGY
                    - OPTOMETRY
                    - OCCUPATIONAL_THERAPY
                    - SPEECH_THERAPY
                    - VETERINARY
                    - OTHER
                  example: DENTAL
              required:
                - name
      responses:
        '201':
          description: Workspace created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Workspace'
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        business_category:
          type: string
          nullable: true
        tenant_id:
          type: string
          nullable: true
        activated:
          type: boolean
        connector_type:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - business_category
        - tenant_id
        - activated
        - connector_type
        - created_at
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````